using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;

namespace CARRE_DSS2.Models
{
    public class RiskEvidence
    {

        public RiskEvidence()
        {
            this.Observables = new HashSet<Observable>();
        }

        [Key]
        [Display(Name = "Id")]
        public int Id { get; set; }

        [Display(Name = "Node")]
        public string Node { get; set; }

        [Display(Name = "Expression")]
        public string Expression { get; set; }

        [Display(Name = "Ratio value")]
        public double RatioValue { get; set; }

        [Display(Name = "Ratio type")]
        public string RatioType { get; set; }

        public virtual ICollection<Observable> Observables { get; set; }

        public virtual RiskFactor ParrentRiskFactor { get; set; }
    }
}